Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ave.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ave.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ave.h	(revision 5116)
@@ -20,6 +20,6 @@
          ENDDO
 cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-cym         write(*,*)'zx_lon = ',zx_lon(:,1)
-cym         write(*,*)'zx_lat = ',zx_lat(1,:)
+cym         WRITE(*,*)'zx_lon = ',zx_lon(:,1)
+cym         WRITE(*,*)'zx_lat = ',zx_lat(1,:)
 cym         CALL histbeg("histbilKP_ave", iim,zx_lon(:,1), jjmp1,
 cym     .                zx_lat(1,:),
@@ -29,5 +29,5 @@
      .                nhori, nid_bilKPave)
 
-         write(*,*)'Journee ', itau_phy, zjulian
+         WRITE(*,*)'Journee ', itau_phy, zjulian
          CALL histvert(nid_bilKPave, "presnivs",
      .                "Vertical levels","mb",
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ins.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ins.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_bilKP_ins.h	(revision 5116)
@@ -20,6 +20,6 @@
          ENDDO
 cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-cym         write(*,*)'zx_lon = ',zx_lon(:,1)
-cym         write(*,*)'zx_lat = ',zx_lat(1,:)
+cym         WRITE(*,*)'zx_lon = ',zx_lon(:,1)
+cym         WRITE(*,*)'zx_lat = ',zx_lat(1,:)
 c
 cIM 280405 BEG
@@ -31,10 +31,10 @@
           jmax_ins=jjmp1
 cym          do i=1,iim-1
-cym             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
-cym             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
+cym             IF(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
+cym             IF(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
 cym          enddo
 cym          do j=1,jjmp1
-cym             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
-cym             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
+cym             IF(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
+cym             IF(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
 cym          enddo
 c
@@ -70,5 +70,5 @@
 cIM 280405 END
 c
-         write(*,*)'Journee ', itau_phy, zjulian
+         WRITE(*,*)'Journee ', itau_phy, zjulian
          CALL histvert(nid_bilKPins, "presnivs",
      .                "Vertical levels","mb",
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h	(revision 5116)
@@ -4,5 +4,5 @@
       IF (ok_regdyn) THEN
       
-        if (is_sequential) then
+        if (is_sequential) THEN
 c
 cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90	(revision 5116)
@@ -24,5 +24,5 @@
   ! PRINT*,'Physiq: apres suphel '
 #if CPP_RRTM
-  if (iflag_rrtm == 1) then
+  if (iflag_rrtm == 1) THEN
      CALL suinit(klon, klev)
      PRINT *, 'iniradia: apres suinit '
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5116)
@@ -125,5 +125,5 @@
 !!!  Cas 19 niveaux verticaux
 !!!===========================
-!!  IF (klev.eq.19) then
+!!  IF (klev.eq.19) THEN
 !!     DO k = 1,klev
 !!        DO i = 1,klon
@@ -280,5 +280,5 @@
 !!  END IF ! fin de 19 niveaux verticaux
 !!
-!!!!!!  IF (klev .ge. 39) then
+!!!!!!  IF (klev .ge. 39) THEN
      DO k = 1,klev
         DO i = 1,klon
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5116)
@@ -186,5 +186,5 @@
   logical :: BloMod
   logical :: debut
-  integer :: jjtime
+  INTEGER :: jjtime
 
 
@@ -195,14 +195,14 @@
   ! ---------
 
-  real :: TBr_sv(klonv)                 ! Brightness Temperature
-  real :: IRdwsv(klonv)                 ! DOWNward   IR Flux
-  real :: IRupsv(klonv)                 ! UPward     IR Flux
-  real :: d_Bufs,Bufs_N                 ! Buffer Snow Layer Increment
-  real :: Buf_ro,Bros_N                 ! Buffer Snow Layer Density
-  real :: BufPro                        ! Buffer Snow Layer Density
-  real :: Buf_G1,BG1__N                 ! Buffer Snow Layer Dendr/Sphe[-]
-  real :: Buf_G2,BG2__N                 ! Buffer Snow Layer Spher/Size[-]
-  real :: Bdzssv(klonv)                 ! Buffer Snow Layer Thickness
-  real :: z_snsv(klonv)                 ! Snow-Ice, current Thickness
+  REAL :: TBr_sv(klonv)                 ! Brightness Temperature
+  REAL :: IRdwsv(klonv)                 ! DOWNward   IR Flux
+  REAL :: IRupsv(klonv)                 ! UPward     IR Flux
+  REAL :: d_Bufs,Bufs_N                 ! Buffer Snow Layer Increment
+  REAL :: Buf_ro,Bros_N                 ! Buffer Snow Layer Density
+  REAL :: BufPro                        ! Buffer Snow Layer Density
+  REAL :: Buf_G1,BG1__N                 ! Buffer Snow Layer Dendr/Sphe[-]
+  REAL :: Buf_G2,BG2__N                 ! Buffer Snow Layer Spher/Size[-]
+  REAL :: Bdzssv(klonv)                 ! Buffer Snow Layer Thickness
+  REAL :: z_snsv(klonv)                 ! Snow-Ice, current Thickness
 
 
@@ -211,100 +211,100 @@
   ! -----
 
-  integer :: iwr
-  integer :: ikl   ,isn   ,isl   ,ist      !
-  integer :: ist__s,ist__w                 ! Soil/Water Body Identifier
-  integer :: growth                        ! Seasonal               Mask
-  integer :: LISmsk                        ! Land+Ice / Open    Sea Mask
-  integer :: LSnMsk                        ! Snow-Ice / No Snow-Ice Mask
-  integer :: IceMsk,IcIndx(klonv)          !      Ice / No      Ice Mask
-  integer :: SnoMsk                        ! Snow     / No Snow     Mask
-  real :: roSMin,roSMax,roSn_1,roSn_2,roSn_3   ! Fallen Snow Density (PAHAUT)
-  real :: Dendr1,Dendr2,Dendr3          ! Fallen Snow Dendric.(GIRAUD)
-  real :: Spher1,Spher2,Spher3,Spher4   ! Fallen Snow Spheric.(GIRAUD)
-  real :: Polair                        ! Polar  Snow Switch
-  real :: PorSno,Salt_f,PorRef   !
+  INTEGER :: iwr
+  INTEGER :: ikl   ,isn   ,isl   ,ist      !
+  INTEGER :: ist__s,ist__w                 ! Soil/Water Body Identifier
+  INTEGER :: growth                        ! Seasonal               Mask
+  INTEGER :: LISmsk                        ! Land+Ice / Open    Sea Mask
+  INTEGER :: LSnMsk                        ! Snow-Ice / No Snow-Ice Mask
+  INTEGER :: IceMsk,IcIndx(klonv)          !      Ice / No      Ice Mask
+  INTEGER :: SnoMsk                        ! Snow     / No Snow     Mask
+  REAL :: roSMin,roSMax,roSn_1,roSn_2,roSn_3   ! Fallen Snow Density (PAHAUT)
+  REAL :: Dendr1,Dendr2,Dendr3          ! Fallen Snow Dendric.(GIRAUD)
+  REAL :: Spher1,Spher2,Spher3,Spher4   ! Fallen Snow Spheric.(GIRAUD)
+  REAL :: Polair                        ! Polar  Snow Switch
+  REAL :: PorSno,Salt_f,PorRef   !
   ! #sw real      PorVol,rWater                 !
   ! #sw real      rusNEW,rdzNEW,etaNEW          !
-  real :: ro_new                        !
-  real :: TaPole                        ! Maximum     Polar Temperature
-  real :: T__Min                        ! Minimum realistic Temperature
-  real :: EmiSol                        ! Emissivity of       Soil
-  real :: EmiSno                        ! Emissivity of            Snow
-  real :: EmiWat                        ! Emissivity of a Water Area
-  real :: vk2                           ! Square of Von Karman Constant
-  real :: u2star                        !(u*)**2
-  real :: Z0mLnd                        !          Land Roughness Length
+  REAL :: ro_new                        !
+  REAL :: TaPole                        ! Maximum     Polar Temperature
+  REAL :: T__Min                        ! Minimum realistic Temperature
+  REAL :: EmiSol                        ! Emissivity of       Soil
+  REAL :: EmiSno                        ! Emissivity of            Snow
+  REAL :: EmiWat                        ! Emissivity of a Water Area
+  REAL :: vk2                           ! Square of Von Karman Constant
+  REAL :: u2star                        !(u*)**2
+  REAL :: Z0mLnd                        !          Land Roughness Length
   ! #ZN real      sqrrZ0                        ! u*t/u*
-  real :: f_eff                         ! Marticorena & B. 1995 JGR (20)
-  real :: A_Fact                        ! Fundamental * Roughness
-  real :: Z0m_nu                        ! Smooth R Snow Roughness Length
-  real :: Z0mBSn                        !         BSnow Roughness Length
-  real :: Z0mBS0                        ! Mimimum BSnow Roughness Length
-  real :: Z0m_S0                        ! Mimimum  Snow Roughness Length
-  real :: Z0m_S1                        ! Maximum  Snow Roughness Length
+  REAL :: f_eff                         ! Marticorena & B. 1995 JGR (20)
+  REAL :: A_Fact                        ! Fundamental * Roughness
+  REAL :: Z0m_nu                        ! Smooth R Snow Roughness Length
+  REAL :: Z0mBSn                        !         BSnow Roughness Length
+  REAL :: Z0mBS0                        ! Mimimum BSnow Roughness Length
+  REAL :: Z0m_S0                        ! Mimimum  Snow Roughness Length
+  REAL :: Z0m_S1                        ! Maximum  Snow Roughness Length
   ! #SZ real      Z0Sa_N                        ! Regime   Snow Roughness Length
   ! #SZ real      Z0SaSi                        ! 1.IF Rgm Snow Roughness Length
   ! #GL real      Z0_GIM                        ! Mimimum GIMEX Roughness Length
-  real :: Z0_ICE                        ! Ice ISW   Roughness Length
-  real :: Z0m_Sn,Z0m_90                 ! Snow  Surface Roughness Length
-  real :: SnoWat                        ! Snow Layer    Switch
-  real :: rstar,alors                   !
-  real :: rstar0,rstar1,rstar2          !
-  real :: SameOK                        ! 1. => Same Type of Grains
-  real :: G1same                        ! Averaged G1,  same Grains
-  real :: G2same                        ! Averaged G2,  same Grains
-  real :: typ__1                        ! 1. => Lay1 Type: Dendritic
-  real :: zroNEW                        ! dz X ro, if fresh Snow
-  real :: G1_NEW                        ! G1,      if fresh Snow
-  real :: G2_NEW                        ! G2,      if fresh Snow
-  real :: zroOLD                        ! dz X ro, if old   Snow
-  real :: G1_OLD                        ! G1,      if old   Snow
-  real :: G2_OLD                        ! G2,      if old   Snow
-  real :: SizNEW                        ! Size,    if fresh Snow
-  real :: SphNEW                        ! Spheric.,if fresh Snow
-  real :: SizOLD                        ! Size,    if old   Snow
-  real :: SphOLD                        ! Spheric.,if old   Snow
-  real :: Siz_av                        ! Averaged    Grain Size
-  real :: Sph_av                        ! Averaged    Grain Spher.
-  real :: Den_av                        ! Averaged    Grain Dendr.
-  real :: G1diff                        ! Averaged G1, diff. Grains
-  real :: G2diff                        ! Averaged G2, diff. Grains
-  real :: G1                            ! Averaged G1
-  real :: G2                            ! Averaged G2
-  real :: param                         ! Polynomial   fit z0=f(T)
-  real :: Z0_obs                        ! Fit Z0_obs=f(T) (m)
-  real :: tamin                         ! min T of linear fit (K)
-  real :: tamax                         ! max T of linear fit (K)
-  real :: coefa,coefb,coefc,coefd       ! Coefs for z0=f(T)
-  real :: ta1,ta2,ta3                   ! Air temperature thresholds
-  real :: z01,z02,z03                   ! z0 thresholds
-  real :: tt_c,vv_c                     ! Critical param.
-  real :: tt_tmp,vv_tmp,vv_virt         ! Temporary variables
-  real :: e_prad,e1pRad,A_Rad0,absg_V,absgnI,exdRad ! variables for SoSosv calculations
-  real :: zm1, zm2, coefslope                    ! variables for surface temperature extrapolation
+  REAL :: Z0_ICE                        ! Ice ISW   Roughness Length
+  REAL :: Z0m_Sn,Z0m_90                 ! Snow  Surface Roughness Length
+  REAL :: SnoWat                        ! Snow Layer    Switch
+  REAL :: rstar,alors                   !
+  REAL :: rstar0,rstar1,rstar2          !
+  REAL :: SameOK                        ! 1. => Same Type of Grains
+  REAL :: G1same                        ! Averaged G1,  same Grains
+  REAL :: G2same                        ! Averaged G2,  same Grains
+  REAL :: typ__1                        ! 1. => Lay1 Type: Dendritic
+  REAL :: zroNEW                        ! dz X ro, if fresh Snow
+  REAL :: G1_NEW                        ! G1,      if fresh Snow
+  REAL :: G2_NEW                        ! G2,      if fresh Snow
+  REAL :: zroOLD                        ! dz X ro, if old   Snow
+  REAL :: G1_OLD                        ! G1,      if old   Snow
+  REAL :: G2_OLD                        ! G2,      if old   Snow
+  REAL :: SizNEW                        ! Size,    if fresh Snow
+  REAL :: SphNEW                        ! Spheric.,if fresh Snow
+  REAL :: SizOLD                        ! Size,    if old   Snow
+  REAL :: SphOLD                        ! Spheric.,if old   Snow
+  REAL :: Siz_av                        ! Averaged    Grain Size
+  REAL :: Sph_av                        ! Averaged    Grain Spher.
+  REAL :: Den_av                        ! Averaged    Grain Dendr.
+  REAL :: G1diff                        ! Averaged G1, diff. Grains
+  REAL :: G2diff                        ! Averaged G2, diff. Grains
+  REAL :: G1                            ! Averaged G1
+  REAL :: G2                            ! Averaged G2
+  REAL :: param                         ! Polynomial   fit z0=f(T)
+  REAL :: Z0_obs                        ! Fit Z0_obs=f(T) (m)
+  REAL :: tamin                         ! min T of linear fit (K)
+  REAL :: tamax                         ! max T of linear fit (K)
+  REAL :: coefa,coefb,coefc,coefd       ! Coefs for z0=f(T)
+  REAL :: ta1,ta2,ta3                   ! Air temperature thresholds
+  REAL :: z01,z02,z03                   ! z0 thresholds
+  REAL :: tt_c,vv_c                     ! Critical param.
+  REAL :: tt_tmp,vv_tmp,vv_virt         ! Temporary variables
+  REAL :: e_prad,e1pRad,A_Rad0,absg_V,absgnI,exdRad ! variables for SoSosv calculations
+  REAL :: zm1, zm2, coefslope                    ! variables for surface temperature extrapolation
   ! for Aeolian erosion and blowing snow
-  integer :: nit   ,iit
-  real :: Fac                           ! Correc. factor for drift ratio
-  real :: dusuth,signus
-  real :: sss__F,sss__N
-  real :: sss__K,sss__G
-  real :: us_127,us_227,us_327,us_427,us_527
-  real :: VVa_OK, usuth0
-  real :: ssstar
-  real :: SblPom
-  real :: rCd10n                        ! Square root of drag coefficient
-  real :: DendOK                        ! Dendricity Switch
-  real :: SaltOK                        ! Saltation  Switch
-  real :: MeltOK                        ! Saltation  Switch (Melting Snow)
-  real :: SnowOK                        ! Pack Top   Switch
-  real :: SaltM1,SaltM2,SaltMo,SaltMx   ! Saltation  Parameters
-  real :: ShearX, ShearS                ! Arg. Max Shear Stress
-  real :: Por_BS                        ! Snow Porosity
-  real :: Salt_us                       ! New thresh.friction velocity u*t
-  real :: Fac_Mo,ArguSi,FacRho          ! Numerical factors for u*t
-  real :: SaltSI(klonv,0:nsno)          ! Snow Drift Index              !
-  real :: MIN_Mo                        ! Minimum Mobility Fresh Fallen *
-  character(len=3) :: qsalt_param              ! Switch for saltation flux param.
-  character(len=3) :: usth_param               ! Switch for u*t param
+  INTEGER :: nit   ,iit
+  REAL :: Fac                           ! Correc. factor for drift ratio
+  REAL :: dusuth,signus
+  REAL :: sss__F,sss__N
+  REAL :: sss__K,sss__G
+  REAL :: us_127,us_227,us_327,us_427,us_527
+  REAL :: VVa_OK, usuth0
+  REAL :: ssstar
+  REAL :: SblPom
+  REAL :: rCd10n                        ! Square root of drag coefficient
+  REAL :: DendOK                        ! Dendricity Switch
+  REAL :: SaltOK                        ! Saltation  Switch
+  REAL :: MeltOK                        ! Saltation  Switch (Melting Snow)
+  REAL :: SnowOK                        ! Pack Top   Switch
+  REAL :: SaltM1,SaltM2,SaltMo,SaltMx   ! Saltation  Parameters
+  REAL :: ShearX, ShearS                ! Arg. Max Shear Stress
+  REAL :: Por_BS                        ! Snow Porosity
+  REAL :: Salt_us                       ! New thresh.friction velocity u*t
+  REAL :: Fac_Mo,ArguSi,FacRho          ! Numerical factors for u*t
+  REAL :: SaltSI(klonv,0:nsno)          ! Snow Drift Index              !
+  REAL :: MIN_Mo                        ! Minimum Mobility Fresh Fallen *
+  CHARACTER(LEN=3) :: qsalt_param              ! Switch for saltation flux param.
+  CHARACTER(LEN=3) :: usth_param               ! Switch for u*t param
 
 
@@ -409,9 +409,9 @@
     IF (BloMod) THEN
 
-    if (klonv==1) then
-      if(isnoSV(1)>=2                   .and. &
+    if (klonv==1) THEN
+      IF(isnoSV(1)>=2                   .and. &
             TsisSV(1,max(1,isnoSV(1)))<273.  .and. &
             ro__SV(1,max(1,isnoSV(1)))<500.  .and. &
-            eta_SV(1,max(1,isnoSV(1)))<epsi) then
+            eta_SV(1,max(1,isnoSV(1)))<epsi) THEN
   ! +                       **********
                  CALL SISVAT_BSn
@@ -508,5 +508,5 @@
   ! +--Threshold Friction Velocity
   ! +  ~~~~~~~~~~~~~~~~~~~~~~~~~~~
-      if(ro__SV(ikl,isn)>300.) then
+      IF(ro__SV(ikl,isn)>300.) THEN
          Por_BS      =  1.000       - ro__SV(ikl,isn)     /ro_Ice
       else
@@ -518,5 +518,5 @@
   ! +     Gallee et al., 2001    eq 5, p5
 
-      if (usth_param == "gal") then
+      if (usth_param == "gal") THEN
         Salt_us   =   (log(2.868) - log(1 + SaltMo)) * rCd10n/0.085
         Salt_us   = Salt_us * Fac_Mo
@@ -526,5 +526,5 @@
 
       if (usth_param == "lis") then !Liston et al. 2007
-        if(ro__SV(ikl,isn)>300.) then
+        IF(ro__SV(ikl,isn)>300.) THEN
           Salt_us   = 0.005*exp(0.013*ro__SV(ikl,isn))
         else
@@ -607,10 +607,10 @@
     hSalSV(ikl) = 8.436e-2  * us__SV(ikl)**SblPom
 
-    if (qsalt_param == "pom") then
+    if (qsalt_param == "pom") THEN
       qSalSV(ikl) = (us__SV(ikl)**2 - usthSV(ikl)**2) *signus &
             / (hSalSV(ikl) * gravit * us__SV(ikl) * 3.25)
     endif
 
-    if (qsalt_param == "bin") then
+    if (qsalt_param == "bin") THEN
       qSalSV(ikl) = (us__SV(ikl) * us__SV(ikl) &
             -usthSV(ikl) * usthSV(ikl))*signus &
@@ -662,5 +662,5 @@
   ! #BS       density_kotlyakov = .FALSE.  !C.Amory BS 2018
   ! + ...     Fallen Snow Density, Adapted for Antarctica
-        if (is_ok_density_kotlyakov) then
+        if (is_ok_density_kotlyakov) THEN
             tt_tmp = TaT_SV(ikl)-TfSnow
             !vv_tmp = VV10SV(ikl)
@@ -668,5 +668,5 @@
   ! + ...         [ A compromise between
   ! + ...           Kotlyakov (1961) and Lenaerts (2012, JGR, Part1) ]
-            if (tt_tmp>=-10) then
+            if (tt_tmp>=-10) THEN
               BufPro   =  max( rosMin, &
                     104. *sqrt( max( vv_tmp-6.0,0.0))) ! Kotlyakov (1961)
@@ -696,5 +696,5 @@
   !    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-     if (BloMod) then
+     if (BloMod) THEN
      Bros_N      = frsno
      ro_new      = ro__SV(ikl,max(1,isnoSV(ikl)))
@@ -894,7 +894,6 @@
 
 
-  if (discret_xf.AND.klonv==1) then
-
-   if(isnoSV(1)>=1.or.NLaysv(1)>=1) then
+  if (discret_xf.AND.klonv==1) THEN
+   IF(isnoSV(1)>=1.or.NLaysv(1)>=1) THEN
   ! +          **********
      CALL SISVAT_zSn
@@ -1081,6 +1080,5 @@
 
 
-  if (iflag_temp_inlandsis == 0) then
-
+  if (iflag_temp_inlandsis == 0) THEN
    CALL SISVAT_TSo
 
@@ -1205,8 +1203,8 @@
   ! Etienne: extrapolation from the two uppermost levels:
 
-     if (isnoSV(ikl) >=2) then
+     if (isnoSV(ikl) >=2) THEN
        zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
        zm2=-(dzsnSV(ikl,isnoSV(ikl)) + dzsnSV(ikl,isnoSV(ikl)-1)/2.)
-     else if (isnoSV(ikl) == 1) then
+     else if (isnoSV(ikl) == 1) THEN
        zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
        zm2=-(dzsnSV(ikl,isnoSV(ikl))+dz_dSV(0)/2.)
@@ -1236,6 +1234,6 @@
   IF (SnoMod)                                                 THEN
 
-  if (discret_xf .AND. klonv==1) then
-  if(isnoSV(1)>=1) then
+  if (discret_xf .AND. klonv==1) THEN
+  IF(isnoSV(1)>=1) THEN
   ! +          **********
   CALL SISVAT_GSn
@@ -1336,9 +1334,9 @@
       coefd = log(z03)-coefc*ta3
 
-      if (TaT_SV(ikl) < ta1) then
+      if (TaT_SV(ikl) < ta1) THEN
         Z0_obs = z01
-      else if (TaT_SV(ikl)>=ta1 .and. TaT_SV(ikl)<ta2) then
+      else if (TaT_SV(ikl)>=ta1 .and. TaT_SV(ikl)<ta2) THEN
         Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
-      else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) then
+      else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) THEN
         ! if st > 0, melting induce smooth surface
         Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
@@ -1472,7 +1470,6 @@
   !XF    MAR is then too warm and not enough melt
 
-     if(ro__SV(ikl,isnoSV(ikl))>50 &
-           .and.ro__SV(ikl,isnoSV(ikl))<roSdSV)then
-
+     IF(ro__SV(ikl,isnoSV(ikl))>50 &
+           .and.ro__SV(ikl,isnoSV(ikl))<roSdSV)THEN
          Z0hnSV(ikl) = max(zero &
                , sign(unun,zzsnsv(ikl,isnoSV(ikl))-epsi)) &
@@ -1497,14 +1494,14 @@
 
 
-end subroutine inlandsis
-
-
-
-
-
-
-
-
-
-
-
+END SUBROUTINE inlandsis
+
+
+
+
+
+
+
+
+
+
+
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5116)
@@ -33,12 +33,12 @@
 
 
-  integer :: ikl   ,isn
-  real :: h_mmWE                        ! Eroded Snow Layer Min Thickness
-  real :: dbsaux(knonv)                 ! Drift Amount   (Dummy Variable)
-  real :: dzweqo,dzweqn,bsno_x          ! Conversion variables for erosion
-  real :: dz_new,rho_new
-  real :: snofOK                        ! Threshd Snow Fall
-  real :: Fac                           ! Correction factor for erosion
-  real :: densif                        ! Densification rate if erosion
+  INTEGER :: ikl   ,isn
+  REAL :: h_mmWE                        ! Eroded Snow Layer Min Thickness
+  REAL :: dbsaux(knonv)                 ! Drift Amount   (Dummy Variable)
+  REAL :: dzweqo,dzweqn,bsno_x          ! Conversion variables for erosion
+  REAL :: dz_new,rho_new
+  REAL :: snofOK                        ! Threshd Snow Fall
+  REAL :: Fac                           ! Correction factor for erosion
+  REAL :: densif                        ! Densification rate if erosion
 
   ! +--DATA
@@ -73,6 +73,5 @@
     if((dzweqo-dzweqn)>0                    .and. &
           dzsnSV(ikl,isn)>0                    .and. &
-          ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) then
-
+          ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) THEN
     !characteristic time scale for drifting snow compaction set to 24h
     !linear densification rate [kg/m3/s] over 24h
@@ -84,5 +83,5 @@
     Fac         = max(0.,min(1.,Fac))
 
-    if (ro__SV(ikl,max(1,isnoSV(ikl)))>roBdSV) then
+    if (ro__SV(ikl,max(1,isnoSV(ikl)))>roBdSV) THEN
       densif=densif*Fac
     endif
@@ -94,5 +93,5 @@
     endif
 
-    if(dzsnSV(ikl,isn)>0 .and.dzsnSV(ikl,isn)<0.0001)then
+    IF(dzsnSV(ikl,isn)>0 .and.dzsnSV(ikl,isn)<0.0001)THEN
     dbs_SV(ikl) = dbs_SV(ikl)+ dzsnSV(ikl,isn)*ro__SV(ikl,isn)
     dbs_Er(ikl) = dbs_Er(ikl)+ dzsnSV(ikl,isn)*ro__SV(ikl,isn)
